Bug 1610474 - Nonresponsive maintainer: lmacken [NEEDINFO]
Summary: Nonresponsive maintainer: lmacken
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-irclib
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-31 17:16 UTC by Miro Hrončok
Modified: 2018-09-06 03:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
mhroncok: needinfo? (lewk)
mhroncok: needinfo? (lewk)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1462583 None CLOSED python-simplejson-3.16.0 is available 2019-07-03 16:02:30 UTC

Internal Links: 1462583

Description Miro Hrončok 2018-07-31 17:16:59 UTC
I haven't heard from Luke for quite some time.

He "maintains" a set of packages yet is unreachable.

List of ignored bugs is at:

https://bugzilla.redhat.com/buglist.cgi?bug_status=NEW&bug_status=ASSIGNED&bug_status=POST&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=RELEASE_PENDING&email1=lewk%40openmailbox.org&emailassigned_to1=1&emailtype1=exact&list_id=9196311&query_format=advanced

(One of them is 8 years old.)

(In bz813736, Lumír explicitly asked to get ACLs (even by e-mail), yet also ignored.)

Couple PRs at https://src.fedoraproject.org/user/lmacken/requests

Luke, how are you doing? Are you responsive?

Paul, do you know anything about Luke?

Comment 1 Miro Hrončok 2018-07-31 17:48:08 UTC
Packages where Luke is main admin:

With comaintainers:

PackageKit
TurboGears
TurboGears2
bodhi
createrepo
fedmsg
fedora-easy-karma
liveusb-creator
mod_wsgi
moksha
nethack
packagedb-cli
pyOpenSSL
python-TurboMail
python-backlash
python-chameleon
python-cherrypy
python-cherrypy2
python-colander
python-configobj
python-cornice
python-coverage
python-crank
python-daemon
python-demjson
python-elixir
python-fabulous
python-fedmsg-meta-fedora-infrastructure
python-fedora
python-feedparser
python-formencode
python-gearbox
python-kid
python-mako
python-mako0.4
python-meliae
python-migrate
python-moksha-common
python-moksha-hub
python-moksha-wsgi
python-morbid
python-myghty
python-nose
python-nose1.1
python-paste
python-paste-deploy
python-paste-script
python-peak-rules
python-peak-util-addons
python-pep8
python-pycodestyle
python-pyramid
python-pyramid-chameleon
python-pyramid-fas-openid
python-repoze-lru
python-repoze-what
python-setuptools
python-simplegeneric
python-simplejson
python-simplemediawiki
python-sqlalchemy
python-sqlite2
python-stomper
python-strainer
python-tbgrep
python-tgext-crud
python-tgmochikit
python-transaction
python-translationstring
python-turbocheetah
python-turbojson
python-turbojson13
python-turbokid
python-tw2-core
python-urwid
python-venusian
python-weberror
python-webob
python-webtest
python-zope-configuration
python-zope-deprecation
python-zope-sqlalchemy
task
tor
trac
xonsh


Without:

fedmsg-notify
gnome-shell-extension-fedmsg
gobby
net6
obby
orbited
pyrasite
python-catwalk
python-cherrytemplate
python-clientform
python-decoratortools
python-feedcache
python-irclib
python-json
python-mechanize
python-migrate0.5
python-modernize
python-peak-util-assembler
python-peak-util-extremes
python-peak-util-symbols
python-prioritized-methods
python-pycallgraph
python-repoze-tm2
python-repoze-what-plugins-sql
python-repoze-who
python-repoze-who-plugins-sa
python-ruledispatch
python-rxjson
python-shove
python-sprox
python-sqlobject
python-tg-devtools
python-tgcaptcha
python-tgext-admin
python-tgfastdata
python-toscawidgets
python-turboflot
python-tw-forms
python-tw-jquery
python-webflash
python-webob1.1
python-wsgiref
python-xappy
sobby

Comment 2 Miro Hrončok 2018-07-31 18:08:50 UTC
The with comaintainers list was bogus, it included all packages where Luke has access, not where he is main admin, here's a shorter list:

TurboGears
bodhi
TurboGears2
fedmsg
nethack
python-TurboMail
python-backlash
python-cherrypy
python-crank
python-fedora
python-gearbox
python-moksha-wsgi
python-nose
python-myghty
python-paste-script
python-paste
python-peak-rules
python-pyramid-fas-openid
python-peak-util-addons
python-pyramid-chameleon
python-pycodestyle
python-repoze-lru
python-simplegeneric
python-repoze-what
python-simplejson
python-translationstring
python-strainer
python-turbocheetah
python-tgext-crud
python-transaction
python-stomper
python-tbgrep
python-turbojson
python-turbokid
python-weberror
python-zope-deprecation
python-zope-configuration
python-zope-sqlalchemy
xonsh

Comment 3 Miro Hrončok 2018-08-09 11:40:25 UTC
asking again for a response

Comment 4 Jan Kurik 2018-08-14 08:39:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Paul W. Frields 2018-08-14 14:15:41 UTC
Hi Miro, Luke left Red Hat a few years back. I don't know that he's involved in any package maintenance at this point, and I haven't heard from him lately either.  Anything he maintains alone is probably at least a candidate for orphaning.  Might be good to bring this up with the Fedora infra folks to see how they'd like to proceed in cases where a package is a dependency of theirs, or is of particular interest.

Comment 6 Miro Hrončok 2018-08-14 14:18:37 UTC
Once this is formally over, I plan to offer the packages to infra.

Comment 7 Clement Verna 2018-08-14 14:31:39 UTC
I can take over the following : 

python-repoze-tm2
python-repoze-who
python-repoze-who-plugins-sa
python-toscawidgets
python-tw-forms


Since they are required for Turbogears2.

Comment 8 Stephen John Smoogen 2018-08-14 17:37:27 UTC
I can take over nethack.

Comment 9 Miro Hrončok 2018-08-16 11:17:41 UTC
asking again for a response

Comment 10 Miro Hrončok 2018-08-23 00:24:17 UTC
This is the day when I'm supposed to open the FESCo issue.

Luke hower replied on Twitter that he will answer here, so I'm not doing that just yet and will do it in another week.

https://twitter.com/lmacken/status/1030582581857800192

Comment 11 greg.hellings 2018-08-23 15:01:51 UTC
I'd be happy to take on

python-setuptools
python-simplejson
python-nose
python-pep8
python-sqlite2
pyOpenSSL
liveusb-creator
createrepo

since they are all relevant to my interests.

Comment 12 Miro Hrončok 2018-08-23 15:44:38 UTC
Some of them are retired and most of them are not lmacken's (as main admin).

Comment 13 Randy Barlow 2018-08-30 14:33:51 UTC
What's this bodhi package? I guess I can take it…

Comment 14 Ron Olson 2018-09-03 13:22:50 UTC
I'd like to be the main admin on nethack if posible; I became a packager because it was stuck on 3.4.3 long after 3.6.0 came out. I released 3.6.0 and 3.6.1 and am already tracking 3.6.2 on their github page so that will be good to go when they release that version.

Comment 15 Miro Hrončok 2018-09-03 13:27:59 UTC
Ron, please file a releng ticket. Like this one: https://pagure.io/releng/issue/7750

Link https://pagure.io/fesco/issue/1977 in the extra information field.


Note You need to log in before you can comment on or make changes to this bug.